/**********************************************************************
 *
 * fileutil.h -- a few useful file utilities
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: fileutil.h 534 1999-09-07 04:57:43Z sjboddie $
 *
 *********************************************************************/


#ifndef FILEUTIL_H
#define FILEUTIL_H

#include "text_t.h"


// returns the proper concatenation of the two paths
text_t filename_cat (text_t path1, text_t path2);
text_t filename_cat (text_t path1, text_t path2, text_t path3);
text_t filename_cat (text_t path1, text_t path2, text_t path3, text_t path4);
text_t filename_cat (text_t path1, text_t path2, text_t path3, text_t path4, 
		     text_t path5);

// returns true if filename can be opened
bool file_exists (const text_t &filename);


#endif
